%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	Console_Getargs
Summary:	%{_pearname} - a command-line arguments parser
Summary(pl.UTF-8):	%{_pearname} - przetwarzanie argumentów linii poleceń
Name:		php-pear-%{_pearname}
Version:	1.3.5
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	a727bc63cc5fe4e28ccb37401cdc1525
Patch0:		deprecation.patch
URL:		http://pear.php.net/package/Console_Getargs/
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.1.0
Requires:	php-pear
Obsoletes:	php-pear-Console_Getargs-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Console_Getargs package implements a Command Line arguments parser
that your CLI applications can use to parse arguments found in
$_SERVER['argv']. It performs some basic arguments validation and is
capable to return a formatted help text to the user, based on the
configuration it is given.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet Console_Getargs ma zaimplementowaną obsługę parsowania
argumentów linii poleceń, którą można użyć w aplikacjach do
przetworzenia argumentów znalezionych w $_SERVER['argv']. Wykonuje
podstawowe sprawdzanie poprawności argumentów i jest w stanie zwrócić
użytkownikowi sformatowany tekst pomocy na podstawie podanej
konfiguracji.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
%patch0 -p1

mv docs/%{_pearname}/examples .

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Console/Getargs.php

%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 02732ae
- use php(core) for php engine version deps
- release 1 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> a01cc85
- tests are no longer installed - don't try to remove them

* Mon Nov 15 2010 Elan Ruusamäe <glen@pld-linux.org> 168d81c
- up to 1.3.5

* Mon Aug 23 2010 Elan Ruusamäe <glen@pld-linux.org> 952735b
- fix deprecatio warning
- freshen up package

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 223cdae
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b8c6fb6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4bcf794
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> f8e2f49
- 1.3.4

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 2891fef
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Apr 11 2006 Elan Ruusamäe <glen@pld-linux.org> d58a041
- 1.3.1

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 7b52133
- AutoProv: no for -tests

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 933c3da
- rel 3 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 4ab0810
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> ee46afd
- group Development/Languages/PHP for -tests

* Sun Jan 08 2006 Elan Ruusamäe <glen@pld-linux.org> 4d22202
- AutoReq: no for -tests

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 47fd282
- define Epoch to 0 explicitly when using it

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 3a46b2b
- rel 2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 6d237fd
- semi automatically added deps from pear

* Tue Sep 27 2005 Elan Ruusamäe <glen@pld-linux.org> 8b1e0fb
- fix requires for -tests (typo)

* Tue Sep 27 2005 Elan Ruusamäe <glen@pld-linux.org> 57c6195
- pl for -tests

